var base = {
  "src" : "./src/", "build" : "./build/"
};

var paths = {
  "images" : {},
  "js" : {
    "src" : base.src + "js/",
    "build" : base.build + "js/"
  },
  "less" : {
    "src" : base.src + "less/",
    "build" : base.build + "css/"
  }
}

var gulp = require("gulp"),
  browserify = require("browserify"),
  source = require("vinyl-source-stream"),
  buffer = require("vinyl-buffer"),
  streamify = require("gulp-streamify"),
  uglify = require("gulp-uglify"),
  less = require("gulp-less"),
  browserSync = require("browser-sync"),
  rename = require("gulp-rename"),
  reload = browserSync.reload;

gulp.task("default", ["watch", "browser-sync"]);

gulp.task("scripts", function(){
  return browserify(paths.js.src+"plugin.js").bundle()
  .pipe(source("jquery.resizer.js"))
  .pipe(gulp.dest(paths.js.build))
  .pipe(rename("jquery.resizer.min.js"))
  .pipe(buffer())
  .pipe(uglify())
  .pipe(gulp.dest(paths.js.build))
  .pipe(reload({stream:true}));
});

gulp.task("less", function () {
  return gulp.src(paths.less.src+"plugin.less")
    .pipe(less())
    .pipe(rename("resizer.css"))
    .pipe(gulp.dest(paths.less.build))
    .pipe(reload({stream:true}));
});

gulp.task("watch", function() {
  gulp.watch([base.src+"**/*.js", base.build+"*.html"], ["scripts"]);
  gulp.watch(paths.less.src+"plugin.less", ["less"]);
});

gulp.task("browser-sync", function() {
    browserSync({
        server: {
            baseDir: "./build/"
        }
    });
});
