$.fn.resizable = function(options){
	var settings = $.extend({
		"storageSupported": typeof Storage !== "undefined",
		"controls":".resizer",
		"cookie":"resizer-cookie",
		"lg":"resize-lg",
		"md":"resize-md",
		"sm":"resize-sm",
		"animate":true
	}, options);
	var $content = this;
	$(settings.controls).on("click", ".sm, .md, .lg", function(evt){
		var $this = $(this);
		$this.parent().find("li").removeClass("active");
		$this.addClass("active");
		$content.each(function(){
			var $target = $(this);
			var size = $target.data("size");
			var newSize;
			$content.removeClass(settings.sm + " " + settings.md + " " + settings.lg)
			if($this.hasClass("lg")){
				newSize = settings.lg;
				$content.addClass(settings.lg);
			}else if($this.hasClass("md")){
				newSize = settings.md;
				$content.addClass(settings.md);
			}else if($this.hasClass("sm")){
				newSize = settings.sm;
				$content.addClass(settings.sm);
			}
			if(settings.storageSupported){
				sessionStorage.setItem(settings.cookie, newSize);
			}else{
				$.cookie(settings.cookie, newSize);
			}
		});
	});
	return $content.each(function(){
		var $this = $(this);
		var savedSize = (settings.storageSupported)? sessionStorage.getItem(settings.cookie) : $.cookie(settings.cookie);
		if(savedSize){
			$this.addClass(savedSize);
		}else{
			$this.addClass(settings.md);
		}
		if(settings.animate){
			setTimeout(function(){$this.addClass("animate");}, 1);
		}
	});
};

